## osso-esd 0.13-1sdk1

=== docs/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/docs
top_srcdir = /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7
VPATH = /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/docs
pkgdatadir = $(datadir)/esound
pkglibdir = $(libdir)/esound
pkgincludedir = $(includedir)/esound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/missing --run aclocal-1.7
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/missing --run tar
AR = arm-linux-ar
AS = as
AUDIOFILE_CFLAGS = 
AUDIOFILE_CONFIG = /usr/bin/audiofile-config
AUDIOFILE_LIBS = -L/usr/lib -laudiofile -lm
AUTOCONF = ${SHELL} /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/missing --run autoconf
AUTOHEADER = ${SHELL} /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/missing --run autoheader
AUTOMAKE = ${SHELL} /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/missing --run automake-1.7
AWK = gawk
BUILD_ESDDSP_FALSE = #
BUILD_ESDDSP_TRUE = 
BUILD_ESDPLAY_FALSE = #
BUILD_ESDPLAY_TRUE = 
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DB2HTML = true
DB2PS = true
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTDOCS = 
DLLTOOL = dlltool
DL_LIB = -ldl

DOCS = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ESD_DIR = $(prefix)/bin
ESD_MAJOR_VERSION = 0
ESD_MICRO_VERSION = 35
ESD_MINOR_VERSION = 2
ESD_PC_DIR = ${prefix}/bin
ESD_VERSION = 0.2.35
ESD_VERSION_INFO = 2:35:2
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/missing --run makeinfo
NEED_GETOPT_FALSE = 
NEED_GETOPT_TRUE = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = esound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
SET_MAKE = 
SHELL = /bin/sh
SOUND_LIBS = 
STRIP = arm-linux-strip
VERSION = 0.2.35
WRAP_LIB = 
ac_ct_AR = 
ac_ct_AS = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DLLTOOL = 
ac_ct_F77 = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
have_db2html = no
have_db2ps = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/teemkata/packages/build/w19-interface/tmp/esd/osso-esd-0.7/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
man_MANS = esd.1 esdcat.1 esd-config.1 esdctl.1 esddsp.1 esdfilt.1 esdloop.1 esdmon.1 esdplay.1 esdrec.1 esdsample.1 

EXTRA_DIST = esd.1.in esdcat.1.in esd-config.1.in esdctl.1.in esddsp.1.in esdfilt.1.in esdloop.1.in esdmon.1.in esdplay.1.in esdrec.1.in esdsample.1.in 
subdir = docs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = esd.1 esdcat.1 esd-config.1 esdctl.1 esddsp.1 \
	esdfilt.1 esdloop.1 esdmon.1 esdplay.1 esdrec.1 esdsample.1
DIST_SOURCES =

NROFF = nroff
MANS = $(man_MANS)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am esd-config.1.in \
	esd.1.in esdcat.1.in esdctl.1.in esddsp.1.in esdfilt.1.in \
	esdloop.1.in esdmon.1.in esdplay.1.in esdrec.1.in \
	esdsample.1.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  docs/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
esd.1: $(top_builddir)/config.status esd.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdcat.1: $(top_builddir)/config.status esdcat.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esd-config.1: $(top_builddir)/config.status esd-config.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdctl.1: $(top_builddir)/config.status esdctl.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esddsp.1: $(top_builddir)/config.status esddsp.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdfilt.1: $(top_builddir)/config.status esdfilt.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdloop.1: $(top_builddir)/config.status esdloop.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdmon.1: $(top_builddir)/config.status esdmon.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdplay.1: $(top_builddir)/config.status esdplay.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdrec.1: $(top_builddir)/config.status esdrec.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
esdsample.1: $(top_builddir)/config.status esdsample.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

man1dir = $(mandir)/man1
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(MANS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-man

install-exec-am:

install-info: install-info-am

install-man: install-man1

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-man

uninstall-man: uninstall-man1

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-man1 install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am uninstall-man uninstall-man1


doc: $(DOCS)

esound/index.html: esound.sgml
	true $(srcdir)/esound.sgml

esound.ps: esound.sgml
	cd $(srcdir) && true esound.sgml

distclean: clean
	rm -rf $(srcdir)/esound $(srcdir)/esound.junk

=== debian/changelog ===
osso-esd (0.13-1sdk1) unstable; urgency=low

  * Changed autospawn option in default configuration file.
  * Added test for dsp kernel in init script.

 -- Maemo Integration <integration@maemo.org>  Mon,  2 Jan 2006 19:56:33 +0200

osso-esd (0.13-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 29 Nov 2005 16:21:16 +0200

osso-esd (0.12-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 15 Nov 2005 17:53:58 +0200

osso-esd (0.11-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 17 Oct 2005 12:01:22 +0300

osso-esd (0.10-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 15 Sep 2005 14:44:45 +0300

osso-esd (0.9-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 24 Aug 2005 16:14:47 +0300

osso-esd (0.8-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  1 Jun 2005 12:34:29 +0300

osso-esd (0.7-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 26 May 2005 11:40:08 +0300

osso-esd (0.6-2) unstable; urgency=low

  * Added -nobeeps to esd.conf.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 13 May 2005 10:51:34 +0300

osso-esd (0.6-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 10 May 2005 12:00:56 +0300

osso-esd (0.5-3) unstable; urgency=low

  * Fix for sysconfdir.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 10 May 2005 10:52:24 +0300

osso-esd (0.5-2) unstable; urgency=low

  * w17 interface release build.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 26 Apr 2005 11:36:28 +0300

osso-esd (0.5-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 12 Apr 2005 12:48:11 +0300

osso-esd (0.4-3) unstable; urgency=low

  * Fixed dev dependency.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 29 Mar 2005 16:39:49 +0300

osso-esd (0.4-2) unstable; urgency=low

  * w13 interface release build.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 29 Mar 2005 11:03:41 +0300

osso-esd (0.4-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 14 Mar 2005 14:51:17 +0200

osso-esd (0.3-1) unstable; urgency=low

  * New upstream release
    - note that osso-esd package contains only esd-daemon, libesd-runtime and esd.conf
      files. All the other binaries/files are in osso-esd-dev package.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 28 Feb 2005 10:42:08 +0200

osso-esd (0.2-2) unstable; urgency=low

  * Build for interface release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 15 Feb 2005 09:50:42 +0200

osso-esd (0.2-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon,  7 Feb 2005 10:55:09 +0200

osso-esd (0.1-2) unstable; urgency=low

  * Added --disable-dsp to x86 configure option.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  1 Feb 2005 11:53:33 +0200

osso-esd (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Makoto Suhano <makoto.sugano@nokia.com>  Mon, 31 Jan 2005 10:40:15 +0200

=== debian/control ===
Source: osso-esd
Priority: optional
Maintainer: Makoto Sugano <makoto.sugano@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libaudiofile-dev, osso-dsp-headers
Standards-Version: 3.6.0

Package: osso-esd-dev
Section: devel
Architecture: any
Depends: osso-esd (= ${Source-Version}), libaudiofile-dev
Description: ESD development files
 ESD sound daemon development files.

Package: osso-esd
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Enlightenment Sound Daemon
 ESD sound daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifeq ($(DEB_HOST_GNU_TYPE),arm-linux)
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-dsp --sysconfdir=/etc
else
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dsp --sysconfdir=/etc
endif


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start --name=esd --update-rcd-params="defaults 26"
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## osso-esd 0.17-1

=== debian/changelog ===
osso-esd (0.17-1) unstable; urgency=low

  * Updated changelog

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 19 Jun 2006 14:45:32 +0300

osso-esd (0.16-1) unstable; urgency=low

  * Added possibility to play music in scratchbox. Fixes: NB#32729

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 19 Jun 2006 11:44:17 +0300

osso-esd (0.15-3) unstable; urgency=low

  * Updating version number 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  6 Jun 2006 16:41:59 +0300

osso-esd (0.15-2) unstable; urgency=low

  * Updated dsp-headers dependency 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  6 Jun 2006 14:04:29 +0300

osso-esd (0.15-1) unstable; urgency=low

  * Compiles against osso-dsp-headers_0.12.1 now

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  9 May 2006 14:22:27 +0300

osso-esd (0.14-4) unstable; urgency=low

  * Initscript update (re-enable on all hardware)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  4 May 2006 10:36:18 +0300

osso-esd (0.14-3) unstable; urgency=low

  * Updated the temporary fix from 0.13-2

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 19 Apr 2006 18:03:00 +0300

osso-esd (0.14-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 23 Mar 2006 17:13:23 +0200

osso-esd (0.13-2) unstable; urgency=low

  * Temporary initscript fix (disable on some hardware)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 21 Mar 2006 15:26:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: osso-esd
 Priority: optional
 Maintainer: Makoto Sugano <makoto.sugano@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libaudiofile-dev, osso-dsp-headers
+Build-Depends: debhelper (>= 4.0.0), libaudiofile-dev, osso-dsp-headers-su-18
 Standards-Version: 3.6.0
 
 Package: osso-esd-dev

## osso-esd 0.19-2

=== debian/changelog ===
osso-esd (0.19-2) unstable; urgency=low

  * Esd is started with nice value -1. Fixes: NB#41363

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 27 Sep 2006 11:23:22 +0300

osso-esd (0.19-1) unstable; urgency=low

  * Fixes: NB#29191 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 16 Aug 2006 12:03:19 +0300

osso-esd (0.18-1) unstable; urgency=low

  * Fixes: NB#29191 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  5 Jul 2006 18:31:49 +0300

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
+DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
@@ -36,7 +37,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-ifeq ($(DEB_HOST_GNU_TYPE),arm-linux)
+ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-dsp --sysconfdir=/etc
 else
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dsp --sysconfdir=/etc
